Package org.apache.wiki.ui.admin.beans

# Class PlainEditorAdminBean

java.lang.Object
org.apache.wiki.management.SimpleMBean
org.apache.wiki.ui.admin.beans.PlainEditorAdminBean

All Implemented Interfaces:
  `DynamicMBean`, `AdminBean`, `GenericHTTPHandler`

public class PlainEditorAdminBean extends SimpleMBean implements AdminBean
This class is still experimental.

## Field Summary

### Fields inherited from class org.apache.wiki.management.SimpleMBean

`m_beanInfo`

### Fields inherited from interface org.apache.wiki.ui.admin.AdminBean

`CORE, EDITOR, UNKNOWN`

## Constructor Summary

Constructors
Constructor
Description
`PlainEditorAdminBean()`

## Method Summary

Modifier and Type
Method
Description
`String`
`doGet(Context context)`
Return basic HTML.
`String`
`doPost(Context context)`
Handles a POST response.
`String[]`
`getAttributeNames()`
This method must return a list of attributes which are exposed by the SimpleMBean.
`boolean`
`getChecked()`
`String`
`getId()`
Get an identifier for this particular AdminBean.
`String[]`
`getMethodNames()`
This method must return a list of operations which are to be exposed by the SimpleMBean.
`String`
`getTitle()`
Return a human-readable title for this AdminBean.
`int`
`getType()`
Returns a type (UNKNOWN, EDITOR, etc).
`void`
`initialize(Engine engine)`
`boolean`
`isEnabled()`

### Methods inherited from class org.apache.wiki.management.SimpleMBean

`getAttribute, getAttributes, getDescription, getMBeanInfo, invoke, setAttribute, setAttributes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlainEditorAdminBean

public PlainEditorAdminBean() throws NotCompliantMBeanException

Throws:
  `NotCompliantMBeanException`

## Method Details

### doGet

public String doGet(Context context)
Description copied from interface: `GenericHTTPHandler`
Return basic HTML.

Specified by:
  `doGet` in interface `GenericHTTPHandler`
Parameters:
  `context` - associated WikiContext
Returns:
  the HTML for the bean

### doPost

public String doPost(Context context)
Description copied from interface: `GenericHTTPHandler`
Handles a POST response.

Specified by:
  `doPost` in interface `GenericHTTPHandler`
Parameters:
  `context` - associated WikiContext
Returns:
  the response string resulting from the POST

### getTitle

public String getTitle()
Description copied from interface: `AdminBean`
Return a human-readable title for this AdminBean.

Specified by:
  `getTitle` in interface `AdminBean`
Returns:
  the bean's title

### getType

public int getType()
Description copied from interface: `AdminBean`
Returns a type (UNKNOWN, EDITOR, etc).

Specified by:
  `getType` in interface `AdminBean`
Returns:
  the bean's type

### isEnabled

public boolean isEnabled()

### getId

public String getId()
Description copied from interface: `GenericHTTPHandler`
Get an identifier for this particular AdminBean. This id MUST conform to URI rules. The ID must also be unique across all HTTPHandlers.

Specified by:
  `getId` in interface `GenericHTTPHandler`
Returns:
  the identifier for the bean

### getChecked

public boolean getChecked()

### getAttributeNames

public String[] getAttributeNames()
Description copied from class: `SimpleMBean`
This method must return a list of attributes which are exposed by the SimpleMBean. If there's a getXXX() method available, it'll be exposed as a getter, and if there's a setXXX() method available, it'll be exposed as a setter. For example:

         public void setFoo( String foo ) ...
         public String getFoo() ...

         public String[] getAttributeNames()
         {
             String[] attrs = { "foo" };

             return attrs;
         }

Also, methods starting with "is" are also recognized as getters (e.g. `public boolean isFoo()`.)

Specified by:
  `getAttributeNames` in class `SimpleMBean`
Returns:
  An array of attribute names that can be get and optionally set.

### getMethodNames

public String[] getMethodNames()
Description copied from class: `SimpleMBean`
This method must return a list of operations which are to be exposed by the SimpleMBean. Note that using overloaded method names is not supported - only one will be exposed as a JMX method at random.

Specified by:
  `getMethodNames` in class `SimpleMBean`
Returns:
  An array of method names that should be exposed as JMX operations.

### initialize

public void initialize(Engine engine)

Specified by:
  `initialize` in interface `AdminBean`